RAPTOR-UPGRADE(1)

NAME
Raptor-upgrade - A fast and space-efficient pre-filter for querying very large collections of nucleotide sequences.

SYNOPSIS
raptor upgrade --input <file> --output <file> [--fpr <number>|--bins <file>]

DESCRIPTION
Upgrades a Raptor index created with Raptor 2.0 to be compatible with Raptor 3.0.

The only new parameter need is the false positive rate. The false positive rate affects the search results. This can be done in three different ways:

1) Pass the false positive rate via --fpr.

2) The false positive rate can be automatically determined if the paths of the files used to build the index are still available.

3) Pass a file containing the path to the original files, one line per file. The false positive rate can then be automatically determined. The order of the files does not matter. The file with the most k-mers will determine the false positive rate.

OPTIONS

--fpr (double)
    The false positive rate. Mutually exclusive with --bins. Default: None. Value must be in range [0.000000,1.000000].

--bins (std::filesystem::path)
    File containing one file per line per bin. Mutually exclusive with --fpr. Default: None. The input file must exist and read permissions must be granted.

--input (std::filesystem::path)
    The index to upgrade. Parts: Without suffix _0

--output (std::filesystem::path)
    Path to new index.

  Common options

-h, --help
    Prints the help page.

-hh, --advanced-help
    Prints the help page including advanced options.

--version
    Prints the version information.

--copyright
    Prints the copyright/license information.

--export-help (std::string)
    Export the help page information. Value must be one of [html, man, ctd, cwl].

EXAMPLES
raptor upgrade --input old.index --output new.index

raptor upgrade --input old.index --output new.index --fpr 0.05

raptor upgrade --input old.index --output new.index --bins bins.list

VERSION
Last update: Unavailable
Raptor-upgrade version: 3.0.1 (commit unavailable)
Sharg version: 1.1.1
SeqAn version: 3.4.0-rc.3

URL
https://github.com/seqan/raptor

LEGAL
Raptor-upgrade Copyright: BSD 3-Clause License
Author: Enrico Seiler
Contact: enrico.seiler@fu-berlin.de
SeqAn Copyright: 2006-2023 Knut Reinert, FU-Berlin; released under the 3-clause BSDL.
In your academic works please cite: Raptor: A fast and space-efficient pre-filter for querying very large collections of nucleotide sequences; Enrico Seiler, Svenja Mehringer, Mitra Darvish, Etienne Turc, and Knut Reinert; iScience 2021 24 (7): 102782. doi: https://doi.org/10.1016/j.isci.2021.102782
For full copyright and/or warranty information see --copyright.